curl --request GET \
--url {{BASE_URL}}/v2/user/{user_id}/info/latest \
--header 'Accept: application/json' \
--header 'x-vital-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.user.getLatestUserInfo({ userId: "<user_id>" });
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.user.get_latest_user_info("<user_id>")
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.user().getLatestUserInfo("<user_id>");
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.User.GetLatestUserInfo(context.TODO(), &junction.GetLatestUserInfoUserRequest{
UserId: "<user_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
User Management
Get User Demographics
Retrieve user info latest via the Junction API. Requires authentication with your team API key.
GET
/
v2
/
user
/
{user_id}
/
info
/
latest
curl --request GET \
--url {{BASE_URL}}/v2/user/{user_id}/info/latest \
--header 'Accept: application/json' \
--header 'x-vital-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.user.getLatestUserInfo({ userId: "<user_id>" });
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.user.get_latest_user_info("<user_id>")
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.user().getLatestUserInfo("<user_id>");
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.User.GetLatestUserInfo(context.TODO(), &junction.GetLatestUserInfoUserRequest{
UserId: "<user_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
This feature is in closed beta.Interested in this feature? Get in touch with your Customer Success Manager.
curl --request GET \
--url {{BASE_URL}}/v2/user/{user_id}/info/latest \
--header 'Accept: application/json' \
--header 'x-vital-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.user.getLatestUserInfo({ userId: "<user_id>" });
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.user.get_latest_user_info("<user_id>")
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.user().getLatestUserInfo("<user_id>");
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.User.GetLatestUserInfo(context.TODO(), &junction.GetLatestUserInfoUserRequest{
UserId: "<user_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
Authorizations
Vital Team API Key
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ℹ️ This enum is non-exhaustive.
Available options:
african_american_or_black, asian, indigenous_native_american_alaska_native, other, pacific_islander_or_hawaiian, white_caucasian ℹ️ This enum is non-exhaustive.
Available options:
hispanic, non_hispanic, ashkenazi_jewish, other ℹ️ This enum is non-exhaustive.
Available options:
lesbian_gay_or_homosexual, heterosexual_or_straight, bisexual, dont_know, other ℹ️ This enum is non-exhaustive.
Available options:
male, female, female_to_male_ftm_transgender_male_trans_man, male_to_female_mtf_transgender_female_trans_woman, genderqueer, other Was this page helpful?